Notifly
API ReferenceLayouts

List all layouts

Retrieves a list of layouts with optional filtering and pagination

GET
/v2/layouts

Retrieves a list of layouts with optional filtering and pagination

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

limit?number

Number of items to return per page

offset?number

Number of items to skip before starting to return results

orderDirection?string

Direction of sorting

Value in

  • "ASC"
  • "DESC"
orderBy?string

Field to sort the results by

Value in

  • "createdAt"
  • "updatedAt"
  • "name"
query?string

Search query to filter layouts

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/layouts?limit=10&offset=0"
{  "data": {    "layouts": [      {        "_id": "string",        "layoutId": "string",        "slug": "string",        "name": "string",        "isDefault": true,        "isTranslationEnabled": true,        "updatedAt": "string",        "updatedBy": {          "_id": "string",          "firstName": "string",          "lastName": "string",          "externalId": "string"        },        "createdAt": "string",        "origin": "novu-cloud",        "type": "REGULAR",        "variables": {},        "controls": {          "dataSchema": {},          "uiSchema": {            "group": "IN_APP",            "properties": {              "property1": {                "placeholder": "string",                "component": "EMAIL_EDITOR_SELECT",                "properties": {                  "property1": {},                  "property2": {}                }              },              "property2": {                "placeholder": "string",                "component": "EMAIL_EDITOR_SELECT",                "properties": {                  "property1": {},                  "property2": {}                }              }            }          },          "values": {            "email": {              "body": "string",              "editorType": "html"            }          }        }      }    ],    "totalCount": 0  }}